%define rname		libssh2

%define major		1
%define libname		%mklibname ssh2_ %{major}
%define develname	%mklibname ssh2 -d

%define subrel		1
Summary:	A library implementing the SSH2 protocol
Name:		%{rname}
Version:	1.10.0
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		http://www.libssh2.org/
Source0:	http://www.libssh2.org/download/%{rname}-%{version}.tar.gz
Source1:	http://www.libssh2.org/download/%{rname}-%{version}.tar.gz.asc
Patch0:	0001-Fix-for-CVE-2023-48795.patch
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libtool

%description
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n     %{libname}
Summary:	A library implementing the SSH2 protocol
Group:		System/Libraries

%description -n %{libname}
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n	%{develname}
Summary:	Static library and header files for the %{rname} library
Group:		Development/C
Provides:	%{rname}-devel = %{version}
Provides:	libssh-devel = %{version}
Provides:	libssh2-devel = %{version}
Provides:	ssh2-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

This package contains the static %{rname} library and its header files.

%prep
%autosetup -n %{rname}-%{version} -p1

%build
%serverbuild
%configure \
    --disable-static \
    --without-libgcrypt-prefix \
    --with-openssl=%{_prefix} \
    --with-libz=%{_prefix}

%make_build
# The SSH test will fail if we don't have /dev/tty,
if [ ! -c /dev/tty ]; then
	echo Skipping SSH test due to missing /dev/tty
	echo "exit 0" > tests/ssh2.sh
fi
# Apparently it fails in the sparc and arm buildsystems too
%ifarch %{arm}
echo Skipping SSH test on sparc/arm
echo "exit 0" > tests/ssh2.sh
%endif
make -C tests check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING ChangeLog NEWS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Jan 01 2024 papoteur <papoteur> 1.10.0-3.1.mga9
+ Revision: 2024983
- add patch for CVE-2023-48795 (mga#32662)

* Thu Mar 17 2022 umeabot <umeabot> 1.10.0-3.mga9
+ Revision: 1796501
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.10.0-2.mga9
+ Revision: 1747451
- rebuild for openssl 3.0.0

* Sun Sep 26 2021 luigiwalser <luigiwalser> 1.10.0-1.mga9
+ Revision: 1746513
- 1.10.0
- remove upstream CVE patch

* Tue Feb 18 2020 umeabot <umeabot> 1.9.0-3.mga8
+ Revision: 1538285
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 17 2019 daviddavid <daviddavid> 1.9.0-2.mga8
+ Revision: 1461574
- add upstream patch to fix CVE-2019-17498 (mga#25704)

* Thu Jul 04 2019 daviddavid <daviddavid> 1.9.0-1.mga8
+ Revision: 1418310
- new version: 1.9.0

* Sat Apr 13 2019 daviddavid <daviddavid> 1.8.2-1.mga7
+ Revision: 1389680
- new version: 1.8.2

* Tue Mar 19 2019 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1378823
- new version: 1.8.1, fixes CVE-2019-385[5-9] and CVE-2019-386[0-3] (mga#24532)
- disable static lib and drop .la files

* Sun Sep 23 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1299170
- Mageia 7 Mass Rebuild

* Sun Aug 06 2017 guillomovitch <guillomovitch> 1.8.0-1.mga7
+ Revision: 1137750
- enable tests
- new version 1.8.0

* Fri Apr 15 2016 tv <tv> 1.7.0-2.mga6
+ Revision: 1001693
- provides libssh2-devel

* Wed Feb 24 2016 luigiwalser <luigiwalser> 1.7.0-1.mga6
+ Revision: 978305
- 1.7.0 (fixes CVE-2016-0787)

* Fri Dec 18 2015 oden <oden> 1.6.0-1.mga6
+ Revision: 911630
- 1.6.0

* Fri Aug 21 2015 tmb <tmb> 1.4.3-7.mga6
+ Revision: 867740
- rebuild for new gcc

* Wed Mar 11 2015 luigiwalser <luigiwalser> 1.4.3-6.mga5
+ Revision: 818408
- add upstream patch to fix CVE-2015-1782

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-5.mga5
+ Revision: 748523
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 681799
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-3.mga4
+ Revision: 507331
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 358212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 1.4.3-1.mga3
+ Revision: 334831
- 1.4.3

* Fri Jun 01 2012 dams <dams> 1.4.2-1.mga3
+ Revision: 252775
- new version 1.4.2

* Fri Mar 02 2012 fwang <fwang> 1.4.0-1.mga2
+ Revision: 216633
- new version 1.4.0

* Wed Sep 14 2011 tv <tv> 1.3.0-1.mga2
+ Revision: 143310
- new release

* Tue Sep 06 2011 tv <tv> 1.2.9-1.mga2
+ Revision: 139699
- new release

* Mon Apr 11 2011 dmorgan <dmorgan> 1.2.8-1.mga1
+ Revision: 83169
- New version 1.2.8
+ pterjan <pterjan>
- Drop obsolete scriptlets
- imported package libssh2


* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 1.2.7-1mdv2011.0
+ Revision: 571454
- update to new version 1.2.7

* Mon Jul 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-1mdv2011.0
+ Revision: 551254
- 1.2.6

* Wed Apr 14 2010 Funda Wang <fwang@mandriva.org> 1.2.5-1mdv2010.1
+ Revision: 534634
- update to new version 1.2.5

* Thu Apr 08 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.2.4-3mdv2010.1
+ Revision: 533140
- Rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdv2010.1
+ Revision: 511589
- rebuilt against openssl-0.9.8m

* Sun Feb 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdv2010.1
+ Revision: 505697
- 1.2.4

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 1.2.3-1mdv2010.1
+ Revision: 500807
- New version 1.2.3

* Tue Nov 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-1mdv2010.1
+ Revision: 466899
- 1.2.2

* Tue Sep 29 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2010.0
+ Revision: 450936
- 1.2.1

* Tue Aug 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2010.0
+ Revision: 414888
- 1.2

* Wed Jun 10 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdv2010.0
+ Revision: 384812
- 1.1

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2009.1
+ Revision: 341530
- 1.0
- disable make check for now (passes as root).

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.18-5mdv2009.1
+ Revision: 314882
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.18-4mdv2009.0
+ Revision: 223004
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 19 2008 Anssi Hannula <anssi@mandriva.org> 0.18-3mdv2008.1
+ Revision: 155073
- provide ssh2-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Oden Eriksson <oeriksson@mandriva.com> 0.18-2mdv2008.1
+ Revision: 108418
- rebuild
- fix build on older distros

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.18-1mdv2008.1
+ Revision: 107530
- 0.18

* Tue Aug 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-1mdv2008.0
+ Revision: 59909
- 0.17

* Mon Aug 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdv2008.0
+ Revision: 59479
- 0.16

* Tue Jun 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.15-2mdv2008.0
+ Revision: 44407
- fix correct libname, thanks mrl and anssi
- it has a major (1) now, so use it
- make it build
- run the test suite
- use the %%serverbuild macro

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version
    - new devel library policy


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.14-2mdv2007.0
+ Revision: 74579
- bunzip patches
- fix deps
- Import libssh2

* Tue Jul 25 2006 Emmanuel Andry <eandry@mandriva.org> 0.14-1mdv2007.0
- 0.14
- %%mkrel
- rediff P0

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdk
- 0.12

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdk
- added one lib64 fix

* Sat Jul 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdk
- 0.10
- added one lib64 fix
- fix requires-on-release

* Sun Jun 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5-2mdk
- add BuildRequires: zlib-devel

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5-1mdk
- 0.5

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-2mdk
- second try + one lib64 fix (P1)

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-1mdk
- initial mandrake package

